Bug 26419 - Replace OPAC Koha logo with SVG
Summary: Replace OPAC Koha logo with SVG
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 20168
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-09 14:25 UTC by Owen Leonard
Modified: 2021-06-14 21:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26419: Replace OPAC Koha logo with SVG (7.82 KB, patch)
2020-09-09 15:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26419: Replace OPAC Koha logo with SVG (7.87 KB, patch)
2020-09-16 21:12 UTC, David Nind
Details | Diff | Splinter Review
Bug 26419: Replace OPAC Koha logo with SVG (7.91 KB, patch)
2020-09-17 09:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-09 14:25:23 UTC
I suggest we replace the Koha logo PNG image which appears in the OPAC header with an SVG file. This will look better, especially on higher-resolution screens or at higher zoom settings.
Comment 1 Owen Leonard 2020-09-09 15:36:24 UTC Comment hidden (obsolete)
Comment 2 David Nind 2020-09-16 21:12:25 UTC Comment hidden (obsolete)
Comment 3 David Nind 2020-09-16 21:14:05 UTC
A nice change - the SVG is much crisper and scales nicely, compared with the PNG.
Comment 4 Martin Renvoize 2020-09-17 09:37:40 UTC
Created attachment 110256 [details] [review]
Bug 26419: Replace OPAC Koha logo with SVG

This patch replaces the OPAC Koha logo PNG file with an SVG version.

To test, apply the patch and rebuild the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Clear your browser cache if necessary.
 - View any page in the OPAC. The Koha logo in the upper-left corner of
   the screen should look good.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2020-09-17 09:38:09 UTC
Trivial patch, looks nice.

Passing QA
Comment 6 Jonathan Druart 2020-09-29 12:32:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-10-20 17:05:53 UTC
enhancement will not be backported to 20.05.x